Get a bank statement

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.api.memo.bank/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Memo Bank API MCP server": {
    "url": "https://docs.api.memo.bank/mcp"
  }
}

Close
GET /v2/bank_statements/{id}

This operation uses content negotiation to request either a JSON representation of the statement (application/json), or the actual statement file (application/octet-stream).

Scope: bank-statements:read

Path parameters

  • id string(uuid) Required

    ID of the statement.

Responses

  • OK

    Hide response attributes Show response attributes object
    • id string(uuid) Required

      ID of the statement.

    • account_id string(uuid) Required

      ID of the account this statement was generated for.

    • format string Required

      Format of the statement file.

      Values are pdf or cfonb120.

    • month string Required

      Month covered by the statement, in the YYYY-MM format.

    • start_date string(date) Required

      First day of the period covered by the statement (inclusive). The statement of the month an account is closed only covers the days up to its closing.

    • end_date string(date) Required

      Last day of the period covered by the statement (inclusive).

    • filename string Required

      Name of the statement file.

    • size integer(int64) Required

      Size of the statement file in bytes.

    • mime_type string Required

      Mime type of the statement file.

    • created_at string(date-time) Required

      Date at which the statement was generated.

GET /v2/bank_statements/{id}
curl \
 --request GET 'https://api.memo.bank/v2/bank_statements/4b9b5c2c-0e6f-4d55-9a3e-96f3f0b8a0c1'
Response examples (200)
{
  "id": "4b9b5c2c-0e6f-4d55-9a3e-96f3f0b8a0c1",
  "account_id": "29883c3d-0b11-4c38-91b0-af9018cc5b14",
  "format": "pdf",
  "month": "2026-09",
  "start_date": "2026-09-01",
  "end_date": "2026-09-30",
  "filename": "statement.pdf",
  "size": 42,
  "mime_type": "application/pdf",
  "created_at": "2026-05-04T09:42:00Z"
}